<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: Nu-LB-Mini51/inc/i2c_software_gpio_with_timer.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_2257da8f9ae81bafff8ef39204f6b7df.html">Nu-LB-Mini51</a></li><li class="navelem"><a class="el" href="../../dir_fb1ccf00aaf7e34f2c293a38601d8f12.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">i2c_software_gpio_with_timer.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>This is the header file of <a class="el" href="../../d2/dcc/i2c__software__gpio__with__timer_8c.html" title="MINI51 series software I2C driver source file.">i2c_software_gpio_with_timer.c</a>.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for i2c_software_gpio_with_timer.h:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/d28/i2c__software__gpio__with__timer_8h__incl.png" border="0" usemap="#a_nu-_l_b-_mini51_2inc_2i2c__software__gpio__with__timer_8h" alt=""/></div>
<map name="a_nu-_l_b-_mini51_2inc_2i2c__software__gpio__with__timer_8h" id="a_nu-_l_b-_mini51_2inc_2i2c__software__gpio__with__timer_8h">
<area shape="rect" title="This is the header file of i2c_software_gpio_with_timer.c." alt="" coords="650,5,835,47"/>
<area shape="rect" href="../../de/d94/_mini51_series_8h.html" title="Mini51 series peripheral access layer header file. This file contains all the peripheral register&#39;s d..." alt="" coords="689,95,797,121"/>
<area shape="rect" title=" " alt="" coords="5,169,96,196"/>
<area shape="rect" href="../../dd/d6a/system___mini51_series_8h.html" title="Mini51 series system clock definition file." alt="" coords="121,169,279,196"/>
<area shape="rect" title=" " alt="" coords="303,169,369,196"/>
<area shape="rect" href="../../d9/d87/sys_8h.html" title="Mini51 series SYS driver header file." alt="" coords="393,169,447,196"/>
<area shape="rect" href="../../d3/d89/clk_8h.html" title="Mini51 series CLK driver header file." alt="" coords="472,169,523,196"/>
<area shape="rect" href="../../dc/d2f/acmp_8h.html" title="Mini51 series Analog Comparator(ACMP) driver header file." alt="" coords="547,169,613,196"/>
<area shape="rect" href="../../d7/d19/adc_8h.html" title="Mini51 series ADC driver header file." alt="" coords="637,169,691,196"/>
<area shape="rect" href="../../dc/d00/fmc_8h.html" title="MINI51 series FMC driver header file." alt="" coords="715,169,770,196"/>
<area shape="rect" href="../../d6/d7c/gpio_8h.html" title="Mini51 series GPIO driver header file." alt="" coords="794,169,851,196"/>
<area shape="rect" href="../../d5/daf/i2c_8h.html" title="Mini51 series I2C driver header file." alt="" coords="876,169,927,196"/>
<area shape="rect" href="../../d6/db9/pwm_8h.html" title="Mini51 series PWM driver header file." alt="" coords="951,169,1011,196"/>
<area shape="rect" href="../../da/d87/spi_8h.html" title="Mini51 series SPI driver header file." alt="" coords="1036,169,1087,196"/>
<area shape="rect" href="../../d5/dd0/timer_8h.html" title="Mini51 series TIMER driver header file." alt="" coords="1111,169,1174,196"/>
<area shape="rect" href="../../d2/d86/uart_8h.html" title="Mini51 series UART driver header file." alt="" coords="1198,169,1253,196"/>
<area shape="rect" href="../../d0/de2/wdt_8h.html" title="Mini51 series WDT driver header file." alt="" coords="1277,169,1331,196"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../df/db7/i2c__software__gpio__with__timer_8h__dep__incl.png" border="0" usemap="#a_nu-_l_b-_mini51_2inc_2i2c__software__gpio__with__timer_8hdep" alt=""/></div>
<map name="a_nu-_l_b-_mini51_2inc_2i2c__software__gpio__with__timer_8hdep" id="a_nu-_l_b-_mini51_2inc_2i2c__software__gpio__with__timer_8hdep">
<area shape="rect" title="This is the header file of i2c_software_gpio_with_timer.c." alt="" coords="5,5,191,47"/>
<area shape="rect" href="../../d2/dcc/i2c__software__gpio__with__timer_8c.html" title="MINI51 series software I2C driver source file." alt="" coords="5,95,191,136"/>
</map>
</div>
</div>
<p><a href="../../dc/da3/i2c__software__gpio__with__timer_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/da8/struct_i2_c___s_w___f_l_a_g___t.html">I2C_SW_FLAG_T</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ac1f09962a4e8407f58384531270dc131"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/da3/i2c__software__gpio__with__timer_8h.html#ac1f09962a4e8407f58384531270dc131">I2C_SW_I_Open</a> (uint32_t u32BusClock)</td></tr>
<tr class="memdesc:ac1f09962a4e8407f58384531270dc131"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prepare to start software I2C.  <a href="../../dc/da3/i2c__software__gpio__with__timer_8h.html#ac1f09962a4e8407f58384531270dc131">More...</a><br /></td></tr>
<tr class="separator:ac1f09962a4e8407f58384531270dc131"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1718089f74461b7482360f5dd0b284d"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/da3/i2c__software__gpio__with__timer_8h.html#ad1718089f74461b7482360f5dd0b284d">I2C_SW_I_Send</a> (uint8_t u8Address, uint8_t *p8Data, uint32_t u32ByteSize)</td></tr>
<tr class="memdesc:ad1718089f74461b7482360f5dd0b284d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send data.  <a href="../../dc/da3/i2c__software__gpio__with__timer_8h.html#ad1718089f74461b7482360f5dd0b284d">More...</a><br /></td></tr>
<tr class="separator:ad1718089f74461b7482360f5dd0b284d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedbe35225c1a245d8767f94bda029017"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/da3/i2c__software__gpio__with__timer_8h.html#aedbe35225c1a245d8767f94bda029017">I2C_SW_I_Get</a> (uint8_t u8Address, uint8_t *p8Data, uint32_t u32ByteSize)</td></tr>
<tr class="memdesc:aedbe35225c1a245d8767f94bda029017"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read data.  <a href="../../dc/da3/i2c__software__gpio__with__timer_8h.html#aedbe35225c1a245d8767f94bda029017">More...</a><br /></td></tr>
<tr class="separator:aedbe35225c1a245d8767f94bda029017"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acef25674042c84614c2e54e26b99275b"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/da3/i2c__software__gpio__with__timer_8h.html#acef25674042c84614c2e54e26b99275b">I2C_SW_I_IsBZ</a> (void)</td></tr>
<tr class="memdesc:acef25674042c84614c2e54e26b99275b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if I2C is busy.  <a href="../../dc/da3/i2c__software__gpio__with__timer_8h.html#acef25674042c84614c2e54e26b99275b">More...</a><br /></td></tr>
<tr class="separator:acef25674042c84614c2e54e26b99275b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92ef1cc8ac1c2a2f3f02ef76eeef8730"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/da3/i2c__software__gpio__with__timer_8h.html#a92ef1cc8ac1c2a2f3f02ef76eeef8730">I2C_SW_I_Count</a> (void)</td></tr>
<tr class="memdesc:a92ef1cc8ac1c2a2f3f02ef76eeef8730"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return byte counter.  <a href="../../dc/da3/i2c__software__gpio__with__timer_8h.html#a92ef1cc8ac1c2a2f3f02ef76eeef8730">More...</a><br /></td></tr>
<tr class="separator:a92ef1cc8ac1c2a2f3f02ef76eeef8730"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >This is the header file of <a class="el" href="../../d2/dcc/i2c__software__gpio__with__timer_8c.html" title="MINI51 series software I2C driver source file.">i2c_software_gpio_with_timer.c</a>. </p>
<dl class="section version"><dt>Version</dt><dd>V0.10 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>5 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>13/11/07 4:40p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../dc/da3/i2c__software__gpio__with__timer_8h_source.html">i2c_software_gpio_with_timer.h</a>.</p>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a92ef1cc8ac1c2a2f3f02ef76eeef8730" name="a92ef1cc8ac1c2a2f3f02ef76eeef8730"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92ef1cc8ac1c2a2f3f02ef76eeef8730">&#9670;&nbsp;</a></span>I2C_SW_I_Count()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t I2C_SW_I_Count </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Return byte counter. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">-</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Byte</td><td>counter </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d2/dcc/i2c__software__gpio__with__timer_8c_source.html#l00271">271</a> of file <a class="el" href="../../d2/dcc/i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>

</div>
</div>
<a id="aedbe35225c1a245d8767f94bda029017" name="aedbe35225c1a245d8767f94bda029017"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aedbe35225c1a245d8767f94bda029017">&#9670;&nbsp;</a></span>I2C_SW_I_Get()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t I2C_SW_I_Get </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>u8Address</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>p8Data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ByteSize</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Read data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u8Address</td><td>I2C slave address </td></tr>
    <tr><td class="paramname">p8Data</td><td>data address </td></tr>
    <tr><td class="paramname">u32ByteSize</td><td>data length </td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Success </td></tr>
    <tr><td class="paramname">1</td><td>Fail </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d2/dcc/i2c__software__gpio__with__timer_8c_source.html#l00284">284</a> of file <a class="el" href="../../d2/dcc/i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../dc/da3/i2c__software__gpio__with__timer_8h_aedbe35225c1a245d8767f94bda029017_cgraph.png" border="0" usemap="#adc/da3/i2c__software__gpio__with__timer_8h_aedbe35225c1a245d8767f94bda029017_cgraph" alt=""/></div>
<map name="adc/da3/i2c__software__gpio__with__timer_8h_aedbe35225c1a245d8767f94bda029017_cgraph" id="adc/da3/i2c__software__gpio__with__timer_8h_aedbe35225c1a245d8767f94bda029017_cgraph">
<area shape="rect" title="Read data." alt="" coords="5,31,113,57"/>
<area shape="rect" href="../../d2/dcc/i2c__software__gpio__with__timer_8c.html#a676b4875a31f38af2cc8d2454eab4b31" title="Send I2C START signal." alt="" coords="161,31,313,57"/>
<area shape="rect" href="../../d2/dcc/i2c__software__gpio__with__timer_8c.html#aff675fbf5a8e5193004cd54912ef7e0c" title="Send a byte." alt="" coords="361,31,512,57"/>
<area shape="rect" href="../../d2/dcc/i2c__software__gpio__with__timer_8c.html#a2616486b326439fd1e2e9f496f671522" title="Read a byte." alt="" coords="560,5,703,32"/>
<area shape="rect" href="../../d2/dcc/i2c__software__gpio__with__timer_8c.html#a219a8c2404f5cb48f32c4d5387c2ccc9" title="Send I2C STOP signal." alt="" coords="751,31,901,57"/>
</map>
</div>

</div>
</div>
<a id="acef25674042c84614c2e54e26b99275b" name="acef25674042c84614c2e54e26b99275b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acef25674042c84614c2e54e26b99275b">&#9670;&nbsp;</a></span>I2C_SW_I_IsBZ()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t I2C_SW_I_IsBZ </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Check if I2C is busy. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Not Busy </td></tr>
    <tr><td class="paramname">1</td><td>Busy </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d2/dcc/i2c__software__gpio__with__timer_8c_source.html#l00261">261</a> of file <a class="el" href="../../d2/dcc/i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>

</div>
</div>
<a id="ac1f09962a4e8407f58384531270dc131" name="ac1f09962a4e8407f58384531270dc131"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac1f09962a4e8407f58384531270dc131">&#9670;&nbsp;</a></span>I2C_SW_I_Open()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t I2C_SW_I_Open </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32BusClock</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Prepare to start software I2C. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u32BusClock</td><td>I2C Bus Clock (Hz) </td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Success </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d2/dcc/i2c__software__gpio__with__timer_8c_source.html#l00033">33</a> of file <a class="el" href="../../d2/dcc/i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../dc/da3/i2c__software__gpio__with__timer_8h_ac1f09962a4e8407f58384531270dc131_cgraph.png" border="0" usemap="#adc/da3/i2c__software__gpio__with__timer_8h_ac1f09962a4e8407f58384531270dc131_cgraph" alt=""/></div>
<map name="adc/da3/i2c__software__gpio__with__timer_8h_ac1f09962a4e8407f58384531270dc131_cgraph" id="adc/da3/i2c__software__gpio__with__timer_8h_ac1f09962a4e8407f58384531270dc131_cgraph">
<area shape="rect" title="Prepare to start software I2C." alt="" coords="5,5,124,32"/>
<area shape="rect" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa2d25bd7fd805f81e465e5f2f0f43123" title="Set GPIO operation mode." alt="" coords="172,5,285,32"/>
</map>
</div>

</div>
</div>
<a id="ad1718089f74461b7482360f5dd0b284d" name="ad1718089f74461b7482360f5dd0b284d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1718089f74461b7482360f5dd0b284d">&#9670;&nbsp;</a></span>I2C_SW_I_Send()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t I2C_SW_I_Send </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>u8Address</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>p8Data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ByteSize</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Send data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u8Address</td><td>I2C slave address </td></tr>
    <tr><td class="paramname">p8Data</td><td>data address </td></tr>
    <tr><td class="paramname">u32ByteSize</td><td>data length </td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">1</td><td>I2C is busy </td></tr>
    <tr><td class="paramname">0</td><td>Success </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d2/dcc/i2c__software__gpio__with__timer_8c_source.html#l00232">232</a> of file <a class="el" href="../../d2/dcc/i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../dc/da3/i2c__software__gpio__with__timer_8h_ad1718089f74461b7482360f5dd0b284d_cgraph.png" border="0" usemap="#adc/da3/i2c__software__gpio__with__timer_8h_ad1718089f74461b7482360f5dd0b284d_cgraph" alt=""/></div>
<map name="adc/da3/i2c__software__gpio__with__timer_8h_ad1718089f74461b7482360f5dd0b284d_cgraph" id="adc/da3/i2c__software__gpio__with__timer_8h_ad1718089f74461b7482360f5dd0b284d_cgraph">
<area shape="rect" title="Send data." alt="" coords="5,31,123,57"/>
<area shape="rect" href="../../d2/dcc/i2c__software__gpio__with__timer_8c.html#a676b4875a31f38af2cc8d2454eab4b31" title="Send I2C START signal." alt="" coords="171,31,323,57"/>
<area shape="rect" href="../../d2/dcc/i2c__software__gpio__with__timer_8c.html#aff675fbf5a8e5193004cd54912ef7e0c" title="Send a byte." alt="" coords="371,31,521,57"/>
<area shape="rect" href="../../d2/dcc/i2c__software__gpio__with__timer_8c.html#a2616486b326439fd1e2e9f496f671522" title="Read a byte." alt="" coords="569,5,712,32"/>
<area shape="rect" href="../../d2/dcc/i2c__software__gpio__with__timer_8c.html#a219a8c2404f5cb48f32c4d5387c2ccc9" title="Send I2C STOP signal." alt="" coords="760,31,911,57"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:39 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
